// Copyright 2010 Google Inc. All Rights Reserved.

#ifndef MOZC_UNIX_IBUS_MAIN_H_
#define MOZC_UNIX_IBUS_MAIN_H_

#include <cstddef>

namespace {
const char kComponentName[] = "com.google.IBus.Mozc";
const char kComponentDescription[] = "Mozc Component";
const char kComponentExec[] = "/usr/libexec/ibus-engine-mozc --ibus";
const char kComponentVersion[] = "0.0.0.0";
const char kComponentAuthor[] = "Google Inc.";
const char kComponentLicense[] = "New BSD";
const char kComponentHomepage[] = "https://github.com/google/mozc";
const char kComponentTextdomain[] = "ibus-mozc";
const char kEngineDescription[] = "Mozc (Japanese Input Method)";
const char kEngineLanguage[] = "ja";
const char kEngineIcon[] = "/usr/share/ibus-mozc/product_icon.png";
const char kEngineIcon_prop_key[] = "InputMode";
const char kEngineSetup[] = "/usr/libexec/mozc/mozc_tool --mode=config_dialog";
const size_t kEngineArrayLen = 3;
const char kEnginesXml[] = R"#(<engines>
<engine>
  <description>Mozc (Japanese Input Method)</description>
  <language>ja</language>
  <icon>/usr/share/ibus-mozc/product_icon.png</icon>
  <icon_prop_key>InputMode</icon_prop_key>
  <setup>/usr/libexec/mozc/mozc_tool --mode=config_dialog</setup>
  <name>mozc-jp</name>
  <longname>Mozc</longname>
  <layout>default</layout>
  <layout_variant></layout_variant>
  <layout_option></layout_option>
  <rank>80</rank>
  <symbol>&#x3042;</symbol>
</engine>
<engine>
  <description>Mozc (Japanese Input Method)</description>
  <language>ja</language>
  <icon>/usr/share/ibus-mozc/product_icon.png</icon>
  <icon_prop_key>InputMode</icon_prop_key>
  <setup>/usr/libexec/mozc/mozc_tool --mode=config_dialog</setup>
  <name>mozc-on</name>
  <longname>Mozc:&#x3042</longname>
  <layout>default</layout>
  <layout_variant></layout_variant>
  <layout_option></layout_option>
  <rank>99</rank>
  <symbol>&#x3042;</symbol>
  <composition_mode>HIRAGANA</composition_mode>
</engine>
<engine>
  <description>Mozc (Japanese Input Method)</description>
  <language>ja</language>
  <icon>/usr/share/ibus-mozc/product_icon.png</icon>
  <icon_prop_key>InputMode</icon_prop_key>
  <setup>/usr/libexec/mozc/mozc_tool --mode=config_dialog</setup>
  <name>mozc-off</name>
  <longname>Mozc:A_</longname>
  <layout>default</layout>
  <layout_variant></layout_variant>
  <layout_option></layout_option>
  <rank>99</rank>
  <symbol>A</symbol>
  <composition_mode>DIRECT</composition_mode>
</engine>
</engines>
)#";
const char kIbusConfigTextProto[] = R"#(# `ibus write-cache; ibus restart` might be necessary to apply changes.
engines {
  name : "mozc-jp"
  longname : "Mozc"
  layout : "default"
  layout_variant : ""
  layout_option : ""
  rank : 80
  symbol : "&#x3042;"
}
engines {
  name : "mozc-on"
  longname : "Mozc:&#x3042"
  layout : "default"
  layout_variant : ""
  layout_option : ""
  rank : 99
  symbol : "&#x3042;"
  composition_mode : "HIRAGANA"
}
engines {
  name : "mozc-off"
  longname : "Mozc:A_"
  layout : "default"
  layout_variant : ""
  layout_option : ""
  rank : 99
  symbol : "A"
  composition_mode : "DIRECT"
}
active_on_launch: False
)#";
}  // namespace
#endif  // MOZC_UNIX_IBUS_MAIN_H_
